CREATE TABLE LECTURER (
                          ID SERIAL PRIMARY KEY,
                          NAME VARCHAR(40) NOT NULL,
                          SURNAME VARCHAR(40) NOT NULL,
                          TITLE VARCHAR(40) NOT NULL
);

CREATE TABLE ROOM (
                      ID SERIAL PRIMARY KEY,
                      ROOM_PURPOSE VARCHAR(40) NOT NULL,
                      NUMBER VARCHAR(40) NOT NULL
);
CREATE TABLE DEANS_GROUP (
                             ID SERIAL PRIMARY KEY,
                             NAME VARCHAR(40) NOT NULL,
                             DEGREE_COURSE VARCHAR(40) NOT NULL,
                             STUDIES_YEAR VARCHAR(40) NOT NULL,
                             DEPARTMENT VARCHAR(40) NOT NULL
);

CREATE TABLE LECTURE (
    ID SERIAL PRIMARY KEY,
    LECTURER_ID INTEGER NOT NULL,
    INTERVAL VARCHAR(20) NOT NULL,
    WEEKDAY VARCHAR(20) NOT NULL,
    TIME VARCHAR(20) NOT NULL,
    ROOM_ID INTEGER NOT NULL,
    NAME VARCHAR(40) NOT NULL,
    GROUP_ID INTEGER NOT NULL,
    FOREIGN KEY (LECTURER_ID) REFERENCES LECTURER(ID),
    FOREIGN KEY (ROOM_ID) REFERENCES ROOM(ID),
    FOREIGN KEY (GROUP_ID) REFERENCES DEANS_GROUP(ID)
);